# Kafka Service

The **Kafka Service** can be used to connect to Kafka compliant servers (brokers) to receive specific topic-based messages for use in your Linx solution.

***

### Properties <a href="#properties" id="properties"></a>

#### Body type

Return raw bytes

Selects whether to return the message as a list of bytes. Otherwise, messages will be deserialized via the specified schema registry.

#### Schema registery URL <a href="#schema-registery-url" id="schema-registery-url"></a>

Only available when *Return raw bytes* is not selected.

The URL of the schema registry to use to look up schemas.

#### Authentication type <a href="#authentication-type" id="authentication-type"></a>

Specifies the authentication method to use in requests to the schema registry.

#### Username <a href="#username" id="username"></a>

Only available when Authentication type is 'Basic'.

#### Password <a href="#password" id="password"></a>

Only available when Authentication type is 'Basic'.

#### Sign with certificate <a href="#sign-with-certificate" id="sign-with-certificate"></a>

Select if requests to the schema registry must be signed using a certificate.

#### Avro schemas <a href="#avro-schemas" id="avro-schemas"></a>

Only available when *Return raw bytes* is not selected.

The Avro schemas describing the key and value to deserialize.

***

#### Connection

#### Servers <a href="#servers" id="servers"></a>

A comma-separated list of the brokers to connect to in the format host:port.

***

#### Misc

#### Group ID <a href="#group-id" id="group-id"></a>

The consumer group ID.

#### Topic <a href="#topic" id="topic"></a>

The topic ID to consume on.

***

#### Security

#### Authentication protocol <a href="#authentication-protocol" id="authentication-protocol"></a>

The authentication protocol to use to authenticate with the broker.

#### Encryption protocol <a href="#encryption-protocol" id="encryption-protocol"></a>

The encryption protocol to use to communicate with the broker.

**SASL**

Only available when Authentication protocol is 'SASL'.

#### SASL mechanism

SASL mechanism to use for authentication.

{% hint style="danger" %}
Warning: Usage of 'GSSAPI' as

SASL mechanism

is currently experimental and may not work in all circumstances.
{% endhint %}

#### Username

Not available when SASL mechanism is 'GSSAPI'.

#### Password

Not available when SASL mechanism is 'GSSAPI'.

#### Kerberos service name

The principal name that Kafka runs as, excluding /hostname\@REALM.\
Only available when SASL mechanism is 'GSSAPI'.

#### Kerberos principal

The client's principal name.\
Only available when SASL mechanism is 'GSSAPI'.

***

**SSL**

Only available when Encryption protocol is 'SSL'.

#### CA location

File or directory path to CA certificate for verifying the broker's key.

#### Certificate location

Path to client's public key (PEM) used for authentication.

#### Key location

Path to client's private key (PEM) used for authentication.

#### Key password

The private key passphrase.

***

### Service Event <a href="#service-event" id="service-event"></a>

#### MessageReceived <a href="#messagereceived" id="messagereceived"></a>

This is where you design your process flow for handling the messages that you receive. Drag and drop the relevant functions and types onto the design canvas.

***

### Links <a href="#links" id="links"></a>

[DZone: What is Kafka?](https://dzone.com/articles/what-is-kafka)

[kafka.apache.org](https://kafka.apache.org/)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/kafka/content/consumer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
